% This file generates test data for Complex_Vector_Multiply.asm example


Pnts = 8192;		% Number of Samples

Wn = 1000;		% Sample Rate

freq1 = 80;		% Frequency 1 of test data
freq2 = 200;	% Frequency 2 of test data
freq3 = 370;	% Frequency 3 of test data

phase1 = pi/2;	% Phase 1 of test data
phase2 = pi/4;	% Phase 2 of test data

data1(1:Pnts) = sin(2*pi*freq1*(0:Pnts-1)/Wn) + sin(2*pi*freq2*(0:Pnts-1)/Wn+phase1)*i;
inr = real(data1);								% fprintf doesn't handle imaginary
ini = imag(data1);								% fprintf doesn't handle imaginary
inc = [inr(:).'; ini(:).'];					% merge
inc = inc(:).';									% merge
fout = fopen('indata1.dat','w');
fprintf(fout,'%6.12f\n',inc(1:2*Pnts));
fclose(fout);

data2(1:Pnts) = sin(2*pi*freq2*(0:Pnts-1)/Wn) + sin(2*pi*freq3*(0:Pnts-1)/Wn+phase2)*i;
inr = real(data2);								% fprintf doesn't handle imaginary
ini = imag(data2);								% fprintf doesn't handle imaginary
inc = [inr(:).'; ini(:).'];					% merge
inc = inc(:).';									% merge
fout = fopen('indata2.dat','w');
fprintf(fout,'%6.12f\n',inc(1:2*Pnts));
fclose(fout);

result = data1.*data2;
outr = real(result);								% fprintf doesn't handle imaginary
outi = imag(result);								% fprintf doesn't handle imaginary
outc = [outr(:).'; outi(:).'];				% merge
outc = outc(:).';									% merge
fout = fopen('out.dat','w');
fprintf(fout,'%6.12f\n',outc(1:2*Pnts));
fclose(fout);